Jump to content

Open Beta won´t install at all


Chimango
 Share

Recommended Posts

Well, my understanding was that 1.5 would install automatically over the current version. Now i think it will only do it under Beta version. I got confused cause there are many posts about it and finally i didn't know what to do.

 

Today i tried downloading the beta installer. I installed it. Ran it as admin with my antivirus disabled. It all goes ok but after getting the latest updater version, it stops at "Downloading version info..." and it crashes, getting the message "DCS has stopped working."

 

I have no idea what to do. I'm running W7 64 bits.

 

*********************

 

Here is the log:

 

 

--- Log file: C:\Program Files\Eagle Dynamics\DCS World OpenBeta\autoupdate_log.txt

=== Log opened UTC 2015-10-01 19:17:28

INFO : DCS_Updater/2.5.2.1 (Windows NT 6.1.7600; Win64; es-AR)

INFO : cmdline: "C:\Users\Uke\AppData\Local\Temp\DCS.openbeta\DCS_updater.exe" --apply selfupdate "C:\Program Files\Eagle Dynamics\DCS World OpenBeta\bin\DCS_updater.exe"

STATUS: Initializing...

INFO : basedir: C:\Program Files\Eagle Dynamics\DCS World OpenBeta\

INFO : dcs_variant.txt: openbeta

INFO : Copying C:\Users\xxx\AppData\Local\Temp\DCS.openbeta\DCS_updater.exe to C:\Program Files\Eagle Dynamics\DCS World OpenBeta\bin\DCS_updater.exe

INFO : Successfully self-updated version 2.5.2.1

=== Log closed.

 

=== Log opened UTC 2015-10-01 19:17:32

INFO : DCS_Updater/2.5.2.1 (Windows NT 6.1.7600; Win64; es-AR)

INFO : cmdline: "C:\Program Files\Eagle Dynamics\DCS World OpenBeta\bin\DCS_updater.exe" --apply update C:\Users\Uke\AppData\Local\Temp\DCS.openbeta\update_info.json 1.5.0.45166.36

STATUS: Initializing...

INFO : basedir: C:\Program Files\Eagle Dynamics\DCS World OpenBeta

INFO : dcs_variant.txt: openbeta

INFO : DCS/ (x86_64; ES; WORLD)

INFO : branch: openbeta

STATUS: Verifying cached version info...

STATUS: Downloading version info...


Edited by Chimango

666GIAP_Chimanov - My Tomcat tribute video, type on youtube browser=> "DCS F-14 Tomcat Symphony"

Link to comment
Share on other sites

Same problem here, Win 7 64 bit too:

 

=== Log opened UTC 2015-10-01 19:32:01

INFO : DCS_Updater/2.5.2.1 (Windows NT 6.1.7600; Win64; es-ES)

INFO : cmdline: "C:\Program Files\Eagle Dynamics\DCS World OpenBeta\bin\DCS_updater.exe" --apply update C:\Users\Juanma\AppData\Local\Temp\DCS.openbeta\update_info.json 1.5.0.45166.36

STATUS: Initializing...

INFO : basedir: C:\Program Files\Eagle Dynamics\DCS World OpenBeta

INFO : dcs_variant.txt: openbeta

INFO : DCS/ (x86_64; EN; WORLD)

INFO : branch: openbeta

STATUS: Verifying cached version info...

STATUS: Downloading version info...

 

This is the windows problem details:

 

Problem signature:

Problem Event Name: APPCRASH

Application Name: DCS_updater.exe

Application Version: 2.5.2.1

Application Timestamp: 560cfb9a

Fault Module Name: DCS_updater.exe

Fault Module Version: 2.5.2.1

Fault Module Timestamp: 560cfb9a

Exception Code: c000001d

Exception Offset: 000000000013e360

OS Version: 6.1.7600.2.0.0.256.1

Locale ID: 3082

Additional Information 1: 5d85

Additional Information 2: 5d858ca6f7041a941381876d32795b48

Additional Information 3: ab90

Additional Information 4: ab9096452fdb33cb488a7812634138eb

Link to comment
Share on other sites

Same exact problem here. Tried fresh OpenBeta install (renamed DCS.Openbeta in saved games and removed all content from installation folder).

 

So don't even have a DCS.log because it's not generating anything in the saved.games..

 

Windows problem details:

 

Problem signature:

Problem Event Name: APPCRASH

Application Name: DCS_updater.exe

Application Version: 2.5.2.1

Application Timestamp: 560cfb9a

Fault Module Name: DCS_updater.exe

Fault Module Version: 2.5.2.1

Fault Module Timestamp: 560cfb9a

Exception Code: c000001d

Exception Offset: 000000000013e360

OS Version: 6.1.7600.2.0.0.256.1

Locale ID: 1033

Additional Information 1: 5d85

Additional Information 2: 5d858ca6f7041a941381876d32795b48

Additional Information 3: ab90

Additional Information 4: ab9096452fdb33cb488a7812634138eb

Link to comment
Share on other sites

Just noticed as per BIGNEWY's suggestion, the contents of my autoupdate.cfg are... weird:

 

{
"WARNING": "DO NOT EDIT this file. You may break your install!",
"branch": "openbeta",
"arch": "x86_64",
"lang": "EN",
"modules": [
 "WORLD"
]
}

 

Hi, what BIGNEWY suggestion? I don´t see it here.

666GIAP_Chimanov - My Tomcat tribute video, type on youtube browser=> "DCS F-14 Tomcat Symphony"

Link to comment
Share on other sites

  • ED Team

not sure why this is happening at the moment, trying to find a solution.

 

check you have disabled your firewalls / antivirus before doing the update

smallCATPILOT.PNG.04bbece1b27ff1b2c193b174ec410fc0.PNG

Forum rules - DCS Crashing? Try this first - Cleanup and Repair - Discord BIGNEWY#8703 - Youtube - Patch Status

Windows 11, NVIDIA MSI RTX 3090, Intel® i9-10900K 3.70GHz, 5.30GHz Turbo, Corsair Hydro Series H150i Pro, 64GB DDR @3200, ASUS ROG Strix Z490-F Gaming, HP Reverb G2

Link to comment
Share on other sites

not sure why this is happening at the moment, trying to find a solution.

 

check you have disabled your firewalls / antivirus before doing the update

 

Ok thank you BIGNEWY. I hope you find the solution so we can install the beta and 1.5.

 

BTW, is there any other way to install 1.5 without having installed the BETA before?

 

 

Thx.

666GIAP_Chimanov - My Tomcat tribute video, type on youtube browser=> "DCS F-14 Tomcat Symphony"

Link to comment
Share on other sites

Alright, downloaded the installer 5 times. Installed it to different folders and every time the updated does nothing. It will be checking for updates, then just close out. Ran the repair and it will give off an error message: Couldn't resolve host name. Ran it with and without the firewall too. My Autoupdate.cfg files looks as others have posted on here.

DxDiag.txt

Link to comment
Share on other sites

... error message: Couldn't resolve host name ...

 

Hi,

 

I get the same error message. Update my open beta is not working, also a new installation is not working. The server is not reachable.

DCS Mods and Skins: HiDrive

Use the NAS only if the other Link is not working - it's slow!
My DCS MODs and Skins: NAS

Link to comment
Share on other sites

same problem here:

"DCS updater stopped working"

 

can't repair, can't reinstall.. I'm stuck and clueless what might be causing this..

My rig specs:

Intel Core i7 4770 @3.4Ghz // Corsair 16GB DDR3 // MoBo Asus Z87K // HDD 1TB 7200RPM // eVGA Nvidia GTX 760GT 2GB DDR5 // LG 3D 47" 1920x1080 // Thrustmaster Warthog HOTAS // Saitek Combat Pro Pedals // Thrustmaster MFD Cougar pack // PS3 Eye + FTNOIR

Link to comment
Share on other sites

Good to know it's not just me..

Having thought it would be because the servers are overloaded, I ditched it last night and went to bed.

This morning I tried again:

Complete uninstall of the OpenBeta (including saved.games folder). Re-downloaded the webinstaller, and the same thing still happens.

Have no anti-virus installed and my firewall is switched off completely..

Link to comment
Share on other sites

Hi,

 

it seems my desktop cannot reach the update server. A ping to the update server from my laptop is working, from my desktop not.

I am trying to find the reason.

DCS Mods and Skins: HiDrive

Use the NAS only if the other Link is not working - it's slow!
My DCS MODs and Skins: NAS

Link to comment
Share on other sites

--- Log file: c:\Temp\DCS.openbeta\autoupdate_templog.txt

=== Log opened UTC 2015-10-02 07:59:49

INFO : DCS_Updater/2.3.9.56 (Windows NT 6.2.9200; Win64; de-DE)

INFO : cmdline: "K:\games\DCS World OpenBeta\bin\DCS_updater.exe" update

STATUS: Initializing...

INFO : basedir: k:\games\DCS World OpenBeta

INFO : sourcetag: TEST

INFO : dcs_variant.txt: openbeta

INFO : DCS/1.2.16.43180.9 (x86_64; DE; WORLD,FC3,UH-1H,MI-8MTV2,P-51D,KA-50bs1,UH-1H_video_EN,CA,A-10C,F-86F,FW-190D9,BF-109K4,MIG-21BIS,VEAO_HAWK,MIG-15BIS,AVIODEV_C-101)

INFO : branch: openbeta

STATUS: Checking for updates...

ERROR: Conection to server 'update.eagle.ru' failed: Couldn't resolve host name

ERROR: update.eagle.ru replied HTTP 503 Service Unavailable

ERROR: Conection to server 'update2.eagle.ru' failed: Couldn't resolve host name

ERROR: update2.eagle.ru replied HTTP 503 Service Unavailable

ERROR: Conection to server 'update3.eagle.ru' failed: Couldn't resolve host name

ERROR: update3.eagle.ru replied HTTP 503 Service Unavailable

ERROR: No updates: Couldn't resolve host name

=== Log closed.

 

I have tried to ping the update servers from my desktop without success.

DCS Mods and Skins: HiDrive

Use the NAS only if the other Link is not working - it's slow!
My DCS MODs and Skins: NAS

Link to comment
Share on other sites

Hope this help ! http://forums.eagle.ru/showthread.php?t=114030 thanks to SkateZilla, first run: Repairing DCS World Updater and then: dcs_updater.exe update openbeta:1.5. It seems to be working for me.

 

DCS A-10C, FC3, Black Shark 2, UH-1H Huey, CA, Su-27 The Ult. Argument

 

WIN 10 64 Bits, AMD FX 8320 OC 4.07Ghz, H-80i HydCooler, HYPERX BEAST DDR3 16Gb 1866, MOBO MSI 990XA-GD55, SAMSUNG SSD 840 EVO 500GB, SAPPHIRE 7870 GHZ ED OC 2GB 256 BIT GDDR5, LG IPS 27", SIDEWINDER PRECISION 2.

Link to comment
Share on other sites

Hi,

 

a new start of Win10 solved the problem.

 

This works just one time. If the updater encountered a problem and stops downloading the server is not reachable before I make a restart of Win 10.

If I make a refresh of this forum, the download stops with an error and I have to make a restart.


Edited by upuaut

DCS Mods and Skins: HiDrive

Use the NAS only if the other Link is not working - it's slow!
My DCS MODs and Skins: NAS

Link to comment
Share on other sites

Hope this help ! http://forums.eagle.ru/showthread.php?t=114030 thanks to SkateZilla, first run: Repairing DCS World Updater and then: dcs_updater.exe update openbeta:1.5. It seems to be working for me.

.

 

Anyone had any luck trying this? I've tried everything but this. If someone confirms it works i will try it, otherwise i don´t want to mess my stable install.

 

Still can´t download the beta at all. Stuck at the beginning as i described on first post.

666GIAP_Chimanov - My Tomcat tribute video, type on youtube browser=> "DCS F-14 Tomcat Symphony"

Link to comment
Share on other sites

Anyone had any luck trying this? I've tried everything but this. If someone confirms it works i will try it, otherwise i don´t want to mess my stable install.

 

Still can´t download the beta at all. Stuck at the beginning as i described on first post.

Tried it. No workie.

Link to comment
Share on other sites

To those with the "can not resolve hostname"-error:

I've had the same problem but was able to install after manually setting a different DNS-Server for my internet connection (I've used Google's 8.8.4.4) and then flushing my DNS cache

( Open a command line as administrator and execute ipconfig /flushdns )

 

For those where dcs_updater crashes: Exception c000001d is an "ILLEGAL_INSTRUCTION" exception. Maybe the new updater uses some SSE4.1 extensions or other "new" instruction set your CPU doesn't support?

EDIT: Or maybe you have a 32-bit CPU or OS? If so, make sure not to run the 64bit-Version of the updater. (Though DCS is 64-bit only from now on if I heard correctly?)


Edited by Phobon
Link to comment
Share on other sites

Tried SkateZilla's fix, tried updating C++ redistributable, Nvidia drivers, no joy. Ran the System File Checker tool (see instructions below), it found some errors that couldn't be fixed.

 

To run the System File Checker tool, follow these steps:

1. Click Start, and then type cmd in the Start Search box.

2. Right-click cmd in the Programs list, and then click Run as administrator.

3. If you are prompted for an administrator password or confirmation, type your password or click Continue.

4. At the command prompt, the following line, and then press ENTER:

sfc /scannow

When the scan is complete, test to see whether the issue that you are experiencing is resolved.

 

 

I thought something must've been wrong with my windows install, so i formatted and installed windows again. That fixed it, i was able to install and run 1.5.

Link to comment
Share on other sites

 Share

  • Recently Browsing   0 members

    • No registered users viewing this page.
×
×
  • Create New...